Redmine::Plugin.register :easy_checklist do
  name 'Easy checklist'
  author 'Easy Software'
  description 'This is a plugin for creating checklists on issues etc.'
  version '0.0.1'
  url 'http://www.easyproject.cz/en'
  author_url 'http://www.easyproject.cz/en'
end

easy_extensions = Redmine::Plugin.registered_plugins[:easy_extensions]
if easy_extensions.nil? || !(version_file = Rails.root.join('version')).exist? || Gem::Version.new(version_file.read) < Gem::Version.new('2016.03.00')
  require_relative 'after_init'
end
